#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 wai-extra
version:              3.1.5
visibility:           public
id:                   wai-extra-3.1.5-5WsTdI48t0cEz3BSDawvsQ
key:                  wai-extra-3.1.5-5WsTdI48t0cEz3BSDawvsQ
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman
stability:            Stable
homepage:             http://github.com/yesodweb/wai
synopsis:             Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:

    * WAI Testing Framework

    Hspec testing facilities and helpers for WAI.

    * Event Source/Event Stream

    Send server events to the client. Compatible with the JavaScript
    EventSource API.

    * Accept Override

    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).

    * Add Headers

    WAI Middleware for adding arbitrary headers to an HTTP request.

    * Clean Path

    Clean a request path to a canonical form.

    * GZip Compression

    Negotiate HTTP payload gzip compression.

    * HTTP Basic Authentication

    WAI Basic Authentication Middleware which uses Authorization header.

    * JSONP

    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.

    * Method Override / Post

    Allows overriding of the HTTP request method via the _method query string
    parameter.

    * Request Logging

    Request logging middleware for development and production environments

    * Request Rewrite

    Rewrite request path info based on a custom conversion rules.

    * Stream Files

    Convert ResponseFile type responses into ResponseStream type.

    * Virtual Host

    Redirect incoming requests to a new host based on custom rules.


    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.

category:             Web
abi:                  66cd8837f9a16f27bef5d89f4dcbd4d8
exposed:              True
exposed-modules:
    Network.Wai.EventSource Network.Wai.EventSource.EventStream
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI Network.Wai.Header
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.ForceDomain Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Gzip Network.Wai.Middleware.HttpAuth
    Network.Wai.Middleware.Jsonp Network.Wai.Middleware.Local
    Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.RealIp Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.RequestLogger.JSON
    Network.Wai.Middleware.RequestSizeLimit
    Network.Wai.Middleware.RequestSizeLimit.Internal
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.Routed
    Network.Wai.Middleware.StreamFile
    Network.Wai.Middleware.StripHeaders Network.Wai.Middleware.Timeout
    Network.Wai.Middleware.Vhost Network.Wai.Parse Network.Wai.Request
    Network.Wai.Test Network.Wai.Test.Internal Network.Wai.UrlMap

hidden-modules:       Network.Wai.Middleware.RequestLogger.Internal
import-dirs:          /usr/lib/ghc-8.10.3/site-local/wai-extra-3.1.5
library-dirs:         /usr/lib/ghc-8.10.3/site-local/wai-extra-3.1.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/wai-extra-3.1.5
hs-libraries:         HSwai-extra-3.1.5-5WsTdI48t0cEz3BSDawvsQ
depends:
    HUnit-1.6.1.0-AhWJ4ItV2KqIExS8jxtlOJ
    aeson-1.5.5.1-EbI2wCwFye45KEyklgimFo
    ansi-terminal-0.11-7K4iujyCXv0AuuwbW7CWZN base-4.14.1.0
    base64-bytestring-1.2.0.1-3aYxqMx9R8HC84LfeTI3gH
    bytestring-0.10.12.0 call-stack-0.2.0-1Bicsj1gQrKCmn9kZBvIe8
    case-insensitive-1.2.1.0-HlHw235pad89cPWIroWX0v containers-0.6.2.1
    cookie-0.4.5-Cr058gEywdbK8YE1EhasZd
    data-default-class-0.1.2.0-56BXPST0gStFZdhRwxhsn8 deepseq-1.4.4.0
    directory-1.3.6.0 fast-logger-3.0.2-3ICiDtGBtSM8miHl27EjMa
    http-types-0.12.3-50Lfjl5LxiUHj7IgE9qboH
    http2-2.0.5-Jm97AF4wkXo3DdTeNyM9xB
    iproute-1.7.10-6kR1iYN5Zf27esO4d6hP8X
    network-3.1.2.1-ESgFvcx6XpxGXZaMhj9jv9
    old-locale-1.0.0.7-LpTuchyagHAP7STZdm71P
    resourcet-1.2.4.2-EnGgIbcQAxjG1HuYCBwxXG
    streaming-commons-0.2.2.1-9hH9C20ceSz5dZrfrfLR1z text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2 unix-2.7.2.2
    unix-compat-0.5.2-7IcOHcLTxJI58jp45CNrGP
    vault-0.3.1.4-JSqyQ6kXsMzDj9vpS1yoWu
    void-0.7.3-FJLCa6y31Qt20kSi8TCcBC
    wai-3.2.2.1-9itRmUZ264c3VcbPYqhdBm
    wai-logger-2.3.6-D8Cgg1vZ19PCqWdGHbMSvZ
    word8-0.1.3-724fxDOkAtI9odHi3S4RPp
    zlib-0.6.2.2-KXEELA86DXm4dzFxfFE1wE

haddock-interfaces:   /usr/share/doc/haskell-wai-extra/html/wai-extra.haddock
haddock-html:         /usr/share/doc/haskell-wai-extra/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

